org.richfaces.component

## Class UIMediaOutput

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - org.richfaces.component.AbstractMediaOutput
        - - org.richfaces.component.UIMediaOutput

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      @Generated(value={"RichFaces CDK","4.5.0-SNAPSHOT"})
      public class UIMediaOutput
      extends AbstractMediaOutput
      implements javax.faces.component.behavior.ClientBehaviorHolder

  The <a4j:mediaOutput> component is used for generating images, video, sounds, and other resources defined on the fly.

  Author:
    shura

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UIMediaOutput.Properties`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIMediaOutput()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAccesskey()`
    `String` | `getAlign()` Deprecated.
    `String` | `getArchive()` Specifies a space-separated list of URIs
    `String` | `getBorder()` Deprecated.
    `String` | `getCharset()` The character encoding of a resource designated by this hyperlink
    `String` | `getClassid()` Identifies an implementation
    `String` | `getCodebase()` Base URI for classid, data, archive
    `String` | `getCodetype()` Defines content type for code
    `String` | `getCoords()` The attribute specifies shape and it position on the screen.
    `javax.el.MethodExpression` | `getCreateContent()` Method call expression to send generated resource to OutputStream.
    `String` | `getDeclare()` Declare but don't instantiate flag
    `String` | `getDefaultEventName()`
    `String` | `getDir()`
    `String` | `getElement()` Get Element name for rendering ( imj , a , object, applet ).
    `Collection<String>` | `getEventNames()`
    `Date` | `getExpires()` The attribute allows to manage caching and defines the period after which a resource is reloaded.
    `String` | `getFamily()`
    `String` | `getFileName()` Filename of the resource to be served
    `String` | `getHreflang()` Base language of a resource specified with the href attribute; hreflang may only be used with href
    `String` | `getHspace()` Deprecated.
    `String` | `getLang()`
    `Date` | `getLastModified()` The attribute allows to manage caching.
    `String` | `getMimeType()` Geterated content mime-type for append to response header ( 'image/jpeg' etc )
    `String` | `getOnblur()`
    `String` | `getOnclick()`
    `String` | `getOndblclick()`
    `String` | `getOnfocus()`
    `String` | `getOnkeydown()`
    `String` | `getOnkeypress()`
    `String` | `getOnkeyup()`
    `String` | `getOnmousedown()`
    `String` | `getOnmousemove()`
    `String` | `getOnmouseout()`
    `String` | `getOnmouseover()`
    `String` | `getOnmouseup()`
    `String` | `getRel()` The relationship from the current document to the anchor specified by this hyperlink.
    `String` | `getRev()` A reverse link from the anchor specified by this hyperlink to the current document.
    `String` | `getShape()` This attribute specifies the shape of a region.
    `String` | `getStandby()` Message to show while loading
    `String` | `getStyle()` CSS style rules to be applied to the component
    `String` | `getStyleClass()` Assigns one or more CSS class names to the component.
    `String` | `getTabindex()` This attribute specifies the position of the current element in the tabbing order for the current document.
    `String` | `getTarget()` This attribute specifies the name of a frame where a document is to be opened.
    `String` | `getTitle()` Advisory title information about markup elements generated for this component
    `String` | `getType()` The content type of the resource designated by this hyperlink
    `String` | `getUriAttribute()` Get URI attribute for resource ( src for images, href for links etc ).
    `String` | `getUsemap()` Specifies an image as a client-side image-map
    `Object` | `getValue()` Data value calculated at render time and stored in URI (also as part of cache Key ), at generation time passed to send method.
    `String` | `getVspace()` Deprecated.
    `boolean` | `isCacheable()` Attribute is a flag that defines the caching strategy.
    `boolean` | `isIsmap()` Use server-side image map
    `void` | `setAccesskey(String accesskey)`
    `void` | `setAlign(String align)`
    `void` | `setArchive(String archive)`
    `void` | `setBorder(String border)`
    `void` | `setCacheable(boolean cacheable)`
    `void` | `setCharset(String charset)`
    `void` | `setClassid(String classid)`
    `void` | `setCodebase(String codebase)`
    `void` | `setCodetype(String codetype)`
    `void` | `setCoords(String coords)`
    `void` | `setCreateContent(javax.el.MethodExpression createContent)`
    `void` | `setDeclare(String declare)`
    `void` | `setDir(String dir)`
    `void` | `setElement(String element)`
    `void` | `setExpires(Date expires)`
    `void` | `setFileName(String fileName)`
    `void` | `setHreflang(String hreflang)`
    `void` | `setHspace(String hspace)`
    `void` | `setIsmap(boolean ismap)`
    `void` | `setLang(String lang)`
    `void` | `setLastModified(Date lastModified)`
    `void` | `setMimeType(String mimeType)`
    `void` | `setOnblur(String onblur)`
    `void` | `setOnclick(String onclick)`
    `void` | `setOndblclick(String ondblclick)`
    `void` | `setOnfocus(String onfocus)`
    `void` | `setOnkeydown(String onkeydown)`
    `void` | `setOnkeypress(String onkeypress)`
    `void` | `setOnkeyup(String onkeyup)`
    `void` | `setOnmousedown(String onmousedown)`
    `void` | `setOnmousemove(String onmousemove)`
    `void` | `setOnmouseout(String onmouseout)`
    `void` | `setOnmouseover(String onmouseover)`
    `void` | `setOnmouseup(String onmouseup)`
    `void` | `setRel(String rel)`
    `void` | `setRev(String rev)`
    `void` | `setShape(String shape)`
    `void` | `setStandby(String standby)`
    `void` | `setStyle(String style)`
    `void` | `setStyleClass(String styleClass)`
    `void` | `setTabindex(String tabindex)`
    `void` | `setTarget(String target)`
    `void` | `setTitle(String title)`
    `void` | `setType(String type)`
    `void` | `setUriAttribute(String uriAttribute)`
    `void` | `setUsemap(String usemap)`
    `void` | `setValue(Object value)`
    `void` | `setVspace(String vspace)`

    - ### Methods inherited from class org.richfaces.component.AbstractMediaOutput

      `getResource`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `clearInitialState, getConverter, getLocalValue, markInitialState, resetValue, restoreState, saveState, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIMediaOutput

          public UIMediaOutput()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIOutput`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### getAccesskey

          public String getAccesskey()

      Specified by:
        `getAccesskey` in class `AbstractMediaOutput`

    - #### setAccesskey

          public void setAccesskey(String accesskey)

    - #### getAlign

          public String getAlign()

      Description copied from class: `AbstractMediaOutput`
      Deprecated. This attribute specifies the position of an IMG, OBJECT, or APPLET with respect to its context. The possible values are "bottom", "middle", "top", "left" and "right". The default value is "middle".
      Specified by:
        `getAlign` in class `AbstractMediaOutput`

    - #### setAlign

          public void setAlign(String align)

    - #### getArchive

          public String getArchive()

      Description copied from class: `AbstractMediaOutput`
      Specifies a space-separated list of URIs
      Specified by:
        `getArchive` in class `AbstractMediaOutput`

    - #### setArchive

          public void setArchive(String archive)

    - #### getBorder

          public String getBorder()

      Description copied from class: `AbstractMediaOutput`
      Deprecated. This attribute specifies the width of an IMG or OBJECT border, in pixels. The default value for this attribute depends on the user agent
      Specified by:
        `getBorder` in class `AbstractMediaOutput`

    - #### setBorder

          public void setBorder(String border)

    - #### isCacheable

          public boolean isCacheable()

      Description copied from class: `AbstractMediaOutput`
      Attribute is a flag that defines the caching strategy. If 'cacheable' is set to false, the response will not be cached. If it is set to true, it will be cached and the serialized value of 'value' attribute plays the role of a cache key.
      Specified by:
        `isCacheable` in class `AbstractMediaOutput`

    - #### setCacheable

          public void setCacheable(boolean cacheable)

    - #### getCharset

          public String getCharset()

      Description copied from class: `AbstractMediaOutput`
      The character encoding of a resource designated by this hyperlink
      Specified by:
        `getCharset` in class `AbstractMediaOutput`

    - #### setCharset

          public void setCharset(String charset)

    - #### getClassid

          public String getClassid()

      Description copied from class: `AbstractMediaOutput`
      Identifies an implementation
      Specified by:
        `getClassid` in class `AbstractMediaOutput`

    - #### setClassid

          public void setClassid(String classid)

    - #### getCodebase

          public String getCodebase()

      Description copied from class: `AbstractMediaOutput`
      Base URI for classid, data, archive
      Specified by:
        `getCodebase` in class `AbstractMediaOutput`

    - #### setCodebase

          public void setCodebase(String codebase)

    - #### getCodetype

          public String getCodetype()

      Description copied from class: `AbstractMediaOutput`
      Defines content type for code
      Specified by:
        `getCodetype` in class `AbstractMediaOutput`

    - #### setCodetype

          public void setCodetype(String codetype)

    - #### getCoords

          public String getCoords()

      Description copied from class: `AbstractMediaOutput`

      The attribute specifies shape and it position on the screen. Possible values: "rect: left-x, top-y, right-x, bottom-y", "circle: center-x, center-y, radius", "poly: x1, y1, x2, y2, ..., xN, yN".

      Notes:

      1. when giving the radius value in percents, user agents should calculate the final radius value in pixels based on the associated object's width and height;
      2. the radius value should be smaller than center-x and center-y values;
      3. for a polygon, the first and last coordinate pairs should have same x and y to close the shape (x1=xN; y1=yN) (when these coordinates are different, user agents should infer an additional pair to close a polygon).
      Coordinates are relative to the top left corner of an object. All values are lengths. All values are comma separated.
      Specified by:
        `getCoords` in class `AbstractMediaOutput`

    - #### setCoords

          public void setCoords(String coords)

    - #### getCreateContent

          public javax.el.MethodExpression getCreateContent()

      Description copied from class: `AbstractMediaOutput`
      Method call expression to send generated resource to OutputStream. It must have two parameter with a type of java.io.OutputStream and java.lang.Object ( deserialized value of data attribute )
      Specified by:
        `getCreateContent` in class `AbstractMediaOutput`

    - #### setCreateContent

          public void setCreateContent(javax.el.MethodExpression createContent)

      Specified by:
        `setCreateContent` in class `AbstractMediaOutput`

    - #### getDeclare

          public String getDeclare()

      Description copied from class: `AbstractMediaOutput`
      Declare but don't instantiate flag
      Specified by:
        `getDeclare` in class `AbstractMediaOutput`

    - #### setDeclare

          public void setDeclare(String declare)

    - #### getDir

          public String getDir()

      Specified by:
        `getDir` in class `AbstractMediaOutput`

    - #### setDir

          public void setDir(String dir)

    - #### getElement

          public String getElement()

      Description copied from class: `AbstractMediaOutput`
      Get Element name for rendering ( imj , a , object, applet ).
      Specified by:
        `getElement` in class `AbstractMediaOutput`

    - #### setElement

          public void setElement(String element)

    - #### getExpires

          public Date getExpires()

      Description copied from class: `AbstractMediaOutput`
      The attribute allows to manage caching and defines the period after which a resource is reloaded.
      Specified by:
        `getExpires` in class `AbstractMediaOutput`

    - #### setExpires

          public void setExpires(Date expires)

    - #### getFileName

          public String getFileName()

      Description copied from class: `AbstractMediaOutput`
      Filename of the resource to be served
      Specified by:
        `getFileName` in class `AbstractMediaOutput`

    - #### setFileName

          public void setFileName(String fileName)

    - #### getHreflang

          public String getHreflang()

      Description copied from class: `AbstractMediaOutput`
      Base language of a resource specified with the href attribute; hreflang may only be used with href
      Specified by:
        `getHreflang` in class `AbstractMediaOutput`

    - #### setHreflang

          public void setHreflang(String hreflang)

    - #### getHspace

          public String getHspace()

      Description copied from class: `AbstractMediaOutput`
      Deprecated. This attribute specifies the amount of white space to be inserted to the left and right of an IMG, APPLET, or OBJECT. The default value is not specified, but is generally a small, non-zero length
      Specified by:
        `getHspace` in class `AbstractMediaOutput`

    - #### setHspace

          public void setHspace(String hspace)

    - #### isIsmap

          public boolean isIsmap()

      Description copied from class: `AbstractMediaOutput`
      Use server-side image map
      Specified by:
        `isIsmap` in class `AbstractMediaOutput`

    - #### setIsmap

          public void setIsmap(boolean ismap)

    - #### getLang

          public String getLang()

      Specified by:
        `getLang` in class `AbstractMediaOutput`

    - #### setLang

          public void setLang(String lang)

    - #### getLastModified

          public Date getLastModified()

      Description copied from class: `AbstractMediaOutput`
      The attribute allows to manage caching. A browser can send request with the header "If-Modified-Since" for necessity of object reloading. If time of modification is earlier, then the framework doesn't call generation and return code 304.
      Specified by:
        `getLastModified` in class `AbstractMediaOutput`

    - #### setLastModified

          public void setLastModified(Date lastModified)

    - #### getMimeType

          public String getMimeType()

      Description copied from class: `AbstractMediaOutput`
      Geterated content mime-type for append to response header ( 'image/jpeg' etc )
      Specified by:
        `getMimeType` in class `AbstractMediaOutput`

    - #### setMimeType

          public void setMimeType(String mimeType)

    - #### getOnblur

          public String getOnblur()

      Specified by:
        `getOnblur` in class `AbstractMediaOutput`

    - #### setOnblur

          public void setOnblur(String onblur)

    - #### getOnclick

          public String getOnclick()

      Specified by:
        `getOnclick` in class `AbstractMediaOutput`

    - #### setOnclick

          public void setOnclick(String onclick)

    - #### getOndblclick

          public String getOndblclick()

      Specified by:
        `getOndblclick` in class `AbstractMediaOutput`

    - #### setOndblclick

          public void setOndblclick(String ondblclick)

    - #### getOnfocus

          public String getOnfocus()

      Specified by:
        `getOnfocus` in class `AbstractMediaOutput`

    - #### setOnfocus

          public void setOnfocus(String onfocus)

    - #### getOnkeydown

          public String getOnkeydown()

      Specified by:
        `getOnkeydown` in class `AbstractMediaOutput`

    - #### setOnkeydown

          public void setOnkeydown(String onkeydown)

    - #### getOnkeypress

          public String getOnkeypress()

      Specified by:
        `getOnkeypress` in class `AbstractMediaOutput`

    - #### setOnkeypress

          public void setOnkeypress(String onkeypress)

    - #### getOnkeyup

          public String getOnkeyup()

      Specified by:
        `getOnkeyup` in class `AbstractMediaOutput`

    - #### setOnkeyup

          public void setOnkeyup(String onkeyup)

    - #### getOnmousedown

          public String getOnmousedown()

      Specified by:
        `getOnmousedown` in class `AbstractMediaOutput`

    - #### setOnmousedown

          public void setOnmousedown(String onmousedown)

    - #### getOnmousemove

          public String getOnmousemove()

      Specified by:
        `getOnmousemove` in class `AbstractMediaOutput`

    - #### setOnmousemove

          public void setOnmousemove(String onmousemove)

    - #### getOnmouseout

          public String getOnmouseout()

      Specified by:
        `getOnmouseout` in class `AbstractMediaOutput`

    - #### setOnmouseout

          public void setOnmouseout(String onmouseout)

    - #### getOnmouseover

          public String getOnmouseover()

      Specified by:
        `getOnmouseover` in class `AbstractMediaOutput`

    - #### setOnmouseover

          public void setOnmouseover(String onmouseover)

    - #### getOnmouseup

          public String getOnmouseup()

      Specified by:
        `getOnmouseup` in class `AbstractMediaOutput`

    - #### setOnmouseup

          public void setOnmouseup(String onmouseup)

    - #### getRel

          public String getRel()

      Description copied from class: `AbstractMediaOutput`
      The relationship from the current document to the anchor specified by this hyperlink. The value of this attribute is a space-separated list of link types
      Specified by:
        `getRel` in class `AbstractMediaOutput`

    - #### setRel

          public void setRel(String rel)

    - #### getRev

          public String getRev()

      Description copied from class: `AbstractMediaOutput`
      A reverse link from the anchor specified by this hyperlink to the current document. The value of this attribute is a space-separated list of link types
      Specified by:
        `getRev` in class `AbstractMediaOutput`

    - #### setRev

          public void setRev(String rev)

    - #### getShape

          public String getShape()

      Description copied from class: `AbstractMediaOutput`
      This attribute specifies the shape of a region. The possible values are "default", "rect", "circle" and "poly".
      Specified by:
        `getShape` in class `AbstractMediaOutput`

    - #### setShape

          public void setShape(String shape)

    - #### getStandby

          public String getStandby()

      Description copied from class: `AbstractMediaOutput`
      Message to show while loading
      Specified by:
        `getStandby` in class `AbstractMediaOutput`

    - #### setStandby

          public void setStandby(String standby)

    - #### getStyle

          public String getStyle()

      Description copied from class: `AbstractMediaOutput`
      CSS style rules to be applied to the component
      Specified by:
        `getStyle` in class `AbstractMediaOutput`

    - #### setStyle

          public void setStyle(String style)

    - #### getStyleClass

          public String getStyleClass()

      Description copied from class: `AbstractMediaOutput`
      Assigns one or more CSS class names to the component. Corresponds to the HTML "class" attribute.
      Specified by:
        `getStyleClass` in class `AbstractMediaOutput`

    - #### setStyleClass

          public void setStyleClass(String styleClass)

    - #### getTabindex

          public String getTabindex()

      Description copied from class: `AbstractMediaOutput`
      This attribute specifies the position of the current element in the tabbing order for the current document. This value must be a number between 0 and 32767. User agents should ignore leading zeros
      Specified by:
        `getTabindex` in class `AbstractMediaOutput`

    - #### setTabindex

          public void setTabindex(String tabindex)

    - #### getTarget

          public String getTarget()

      Description copied from class: `AbstractMediaOutput`
      This attribute specifies the name of a frame where a document is to be opened. By assigning a name to a frame via the name attribute, authors can refer to it as the "target" of links defined by other elements
      Specified by:
        `getTarget` in class `AbstractMediaOutput`

    - #### setTarget

          public void setTarget(String target)

    - #### getTitle

          public String getTitle()

      Description copied from class: `AbstractMediaOutput`
      Advisory title information about markup elements generated for this component
      Specified by:
        `getTitle` in class `AbstractMediaOutput`

    - #### setTitle

          public void setTitle(String title)

    - #### getType

          public String getType()

      Description copied from class: `AbstractMediaOutput`
      The content type of the resource designated by this hyperlink
      Specified by:
        `getType` in class `AbstractMediaOutput`

    - #### setType

          public void setType(String type)

    - #### getUriAttribute

          public String getUriAttribute()

      Description copied from class: `AbstractMediaOutput`
      Get URI attribute for resource ( src for images, href for links etc ).
      Specified by:
        `getUriAttribute` in class `AbstractMediaOutput`

    - #### setUriAttribute

          public void setUriAttribute(String uriAttribute)

    - #### getUsemap

          public String getUsemap()

      Description copied from class: `AbstractMediaOutput`
      Specifies an image as a client-side image-map
      Specified by:
        `getUsemap` in class `AbstractMediaOutput`

    - #### setUsemap

          public void setUsemap(String usemap)

    - #### getValue

          public Object getValue()

      Description copied from class: `AbstractMediaOutput`

      Data value calculated at render time and stored in URI (also as part of cache Key ), at generation time passed to send method. Can be used for update cache at change of generating conditions, and for creating beans as "Lightweight" pattern components (request scope).

      IMPORTANT: Since serialized data stored in URI, avoid using big objects.

      Specified by:
        `getValue` in interface `javax.faces.component.ValueHolder`
      Specified by:
        `getValue` in class `AbstractMediaOutput`

    - #### setValue

          public void setValue(Object value)

      Specified by:
        `setValue` in interface `javax.faces.component.ValueHolder`
      Overrides:
        `setValue` in class `javax.faces.component.UIOutput`

    - #### getVspace

          public String getVspace()

      Description copied from class: `AbstractMediaOutput`
      Deprecated. This attribute specifies the amount of white space to be inserted above and below an IMG, APPLET, or OBJECT. The default value is not specified, but is generally a small, non-zero length
      Specified by:
        `getVspace` in class `AbstractMediaOutput`

    - #### setVspace

          public void setVspace(String vspace)

Copyright © 2014 JBoss by Red Hat. All rights reserved.